/**
 * Created by sky on 2015/6/18.
 */
(function($){
    // our plugin constructor
    var Slider = function(elem,option){
        var opt = option || {};
        this.elem = elem,
        this.$elem = $(elem),
        this.$sliderGroup = $(elem).find(".my-slider-group"),
        this.$sliderItem =  $(elem).find(".my-slider-item"),
        this.$sliderItemImg = this.$sliderItem.find("img"),
        this.distance = {start:0,end:0,move:0,w:0,sumMove:0};
        //是否等宽计算
        this.isAequilate = opt.isAequilate || false;
    };
    // the plugin prototype
    Slider.prototype = {
        init:function(){
            setTimeout($.proxy(function(){
                if(this.isAequilate){
                    this.distance.w = this.$sliderItem.prop("clientWidth")*this.$sliderItem.length,
                        this.$sliderGroup.css("width",this.distance.w),
                        this.$sliderItem.css({width:this.$sliderItem.width()-parseInt(this.$sliderItem.css("padding"))*2})
                        this.$sliderItem.css({margin:'5px'});
                }else{
                    var that = this;
                    this.$sliderItemImg.each(function(i,item){
                        that.distance.w +=  ($(item).prop("clientWidth")+10),
                            that.$sliderGroup.css("width",that.distance.w);
                    })

                }
            },this),100);
        }
    }

    $.fn.slider = function(option){
        return this.each(function(){
            new Slider(this,option).init();
        })
    }
}($));