﻿﻿﻿/**
 * Created by sky on 2015/6/24.
 */

//查看全文
clickWebLink = function(){
	window.news.clickWebLink();
};

//信息溯源
clickSource = function(){
	window.news.clickSource();
};

//点击视频
clickVideo = function(){
	window.news.clickVideo();
};

//点击图集
clickPic = function(){
	window.news.clickPic($(this).data("index"));
};

//查看图表文字
clickChart = function(){
	window.news.clickChart();
};

//点击图片
clickPicText = function(){
	window.news.clickPicText($(this).data("index"));
};

//点击微博
clickWeibo = function(){
	window.news.clickWeibo($(this).data("index"));
};

//点击热点
clickNewsHot = function(){
	window.news.clickNewsHot($(this).data("index"));
};

//关闭图表
closeEcharts = function(i){
	$($(".news_hadoopItem")[i]).hide();
};

//适应图集
fitSlider = function(){
	$("#my-slider1").slider();
};

//适应微博
fitWeibo = function(){
	$("#my-slider2").slider({isAequilate:true});
};

//添加热点
addNewsHot = function(html){
	$(".news_list").html(html);
	//点击24小时热点新闻
    $(".news_list_ul li a").on("click",clickNewsHot);
};

//设置字体
setFont = function(fontSize){
	$(".news_info p").removeAttr("class");
	$(".news_info p").addClass(fontSize);
};

//微博头像
replaceConImg = function(imgurl){
	$(".wbcon img").prop("src",imgurl);
};

list = {"video":[],"pic":[],"pic_text":[],"wbcon":[],"chart":[],"news":[]};

/*
* type :1.video  视屏
*       2.pic    图片
*       3.pic_text  图文
*       4.chart    图表
* index :索引
*
* url :路径
* */
setPic = function(type,index,url){
	if (type === 'video') {
		list[type][index].prop("poster",url);
	} else if (type === 'pic') {
		list[type][index].prop("src",url);
	} else if (type === 'pic_text') {
		list[type][index].prop("src",url);
	}
};
/*返回 某些可以加载的
* 1.video  视屏
* 2.pic    图片
* 3.pic_text  图文
* */
load = function(){
	list = {"video":[],"pic":[],"pic_text":[],"chart":[],"news":[]},
	scrollStart = $("body").scrollTop(),
	scrollEnd = $("body").scrollTop() + $("body").height();
	$(".videoDiv img").each(function(i,item){
		if(scrollStart < $(item).offset().top && $(item).offset().top < scrollEnd  && item.poster.indexOf("default_pic.png") != -1){
			$(item).prop("load",1);
			list["video"][0] = $(item);
			window.news.loadVideo();
		}
  	});
	$(".news_atlas img").each(function(i,item){
		if(scrollStart < $(item).offset().top && $(item).offset().top < scrollEnd && item.src.indexOf("default_pic.png") != -1){
			$(item).prop("load",1);
			list["pic"][i] = $(item);
			window.news.loadPic(i);
		}
	});
	$(".pic_text img").each(function(i,item){
		if(scrollStart < $(item).offset().top && $(item).offset().top < scrollEnd  && item.src.indexOf("default_pic.png") != -1){
			$(item).prop("load",1);
			list["pic_text"][i] = $(item);
			window.news.loadPicText(i);
		}
	});
	$(".news_list").each(function(i,item){
		if(scrollStart < $(item).offset().top && $(item).offset().top < scrollEnd  && $(item).prop("load") != 1){
		    $(item).prop("load",1);
		    list["news"][0] = $(item);
		    window.news.loadNews();
		}
	});
};
$(function(){
	$(document).on("scroll",function(){
        load();
    })
    //点击查看原文
    $(".news_sel").on("click",clickWebLink);
    //点击信息溯源
    $(".news_source").on("click",clickSource);
    //点击播放视频
    $(".videoDiv a").on("click",clickVideo);
    //图集的图片点击
    $(".my-slider-item a img").on("click",clickPic);
    //图文混排的图片点击
    $(".news_info img").on("click",clickPicText);
    //点击查看微博原文
    $(".wb_sel").on("click",clickWeibo);
    //点击查看图表分析
    $(".news_chart").on("click",clickChart);
     //start 触摸字体放大缩小
    var x,y;
    $(".news_info p").on("touchstart",function(e){
        if(e.touches[0] && e.touches[1]){
            x = Math.abs(e.touches[1].pageX - e.touches[0].pageX);
            y = Math.abs(e.touches[1].pageY - e.touches[0].pageY);
        }

    })
  $(".news_info p").on("touchmove",function(e){
  console.log(444444)
                       if(e.touches[0] && e.touches[1]){
                       var mx = Math.abs(e.touches[1].pageX - e.touches[0].pageX),
                       my = Math.abs(e.touches[1].pageY - e.touches[0].pageY);
                       if(!$(".news_info p").css("fontSize")){
                       $(".news_info p").css("fontSize","1.4em");
                       }
                       if(mx>x+5 || my>y+5){
                       x = mx,y = my;
                       var fontSize = parseFloat($(this).css("fontSize"));
                       fontSize += 0.1;
                       if(fontSize>2.5){
                       return;
                       }
                       $(".news_info p").css("fontSize",fontSize+"em");
                       }
                       if(mx<x-5 || my<y-5){
                       x = mx,y = my;
                       var fontSize = parseFloat($(this).css("fontSize"));
                       fontSize -= 0.1;
                       $(".news_info p").css("fontSize",fontSize+"em");
                       }
                       }
                       });
  //end 触摸字体放大缩小
});